FROM ubuntu:22.04


# Resolve APT dependencies
RUN apt-get update -qq
RUN apt-get install apt-utils software-properties-common -qq
RUN add-apt-repository ppa:antiprism/ppa -y
RUN apt-get install python3-pip g++ python3-dev python3-gdal libgdal-dev libsqlite3-mod-spatialite antiprism git -qq

# Install additinal requirements
RUN pip install git+https://github.com/SciTools/cartopy.git

# Clone and install Pyrate
WORKDIR pyrate
COPY . .
RUN pip3 install .
WORKDIR /pyrate/experiments

WORKDIR /pyrate/experiments
WORKDIR /pyrate/data
WORKDIR /pyrate

ARG save_frequency=50
ARG seed_start=0
ARG continues=0

CMD python3 -m route_generator
