"""This module provides testing helpers like hypothesis strategies.

Some typecasts of custom strategies using :func:`hypothesis.strategies.composite` are actually wrong but
required to paint over some Mypy shortcomings
(see `hypothesis#2748 <https://github.com/HypothesisWorks/hypothesis/issues/2748>`_).
"""

# Typing
from typing import Callable
from typing import TypeVar

# Hypothesis typing
from hypothesis.strategies import SearchStrategy


#: The type of the draw parameter to :func:`hypothesis.strategies.composite` strategies
T = TypeVar("T")
DrawType = Callable[[SearchStrategy[T]], T]
