"""This module defines exceptions for use in the near-planning backend."""


class PlanningError(Exception):
    """Base Class for all exceptions throw during route planning"""


class NoRouteFoundException(PlanningError):
    """Exception thrown if route discovery failed

    Args:
        message: message to display
    """

    def __init__(self, message: str):
        self.message = message
        super().__init__(message)
